#roloFlash 2, v03.*

! ***************************************************************************
! *
! *  Beispiel-Skript fuer Microchip/Atmel-ISP-Controller
! *   
! *  Aufgabe: Versionsnummern etc. auslesen und in LOG.TXT schreiben
! *
! *  Copyright (C) 2009-2019 by halec embedded solutions
! *
! ***************************************************************************


! Fuer alle Dateien auf der SD-Karte gilt:
!  - Dateiname muss im 8.3-Format sein
!  - Dateiname muss komplett in GROSSBUCHSTABEN sein
!  - (siehe Handbuch, Kapitel "Dateien")

led_on 1, color_green

! ---- Vorbereitungen ----
! Evtl. altes Log loeschen
f = "LOG.TXT"
if fs_fileExists(0,f)
  fs_remove 0, f
endif

print "Running script copied from scripts/version/ ...\r\n"

print "companyName=       ", sys_companyName, "\r\n"
print "deviceName=        ", sys_deviceName, "\r\n"
print "softwareVersion=   ", sys_softwareVersion, "\r\n"
print "hardwareVersion=   ", sys_hardwareVersion div $10000, ".", sys_hardwareVersion mod 65536, "\r\n"
print "bootloaderVersion= ", sys_bootloaderVersion div $10000, ".", sys_bootloaderVersion mod 65536, "\r\n"
print "imageVersion=      ", sys_imageVersion, "\r\n"
led_on 5, color_green
